/// <reference types="lodash" />
import React from 'react';
declare const translate: ((key: any, config?: any) => string) & import("lodash").MemoizedFunction;
declare type Translate = typeof translate;
declare type I18nState = {
    translate: Translate;
};
declare type I18nMessages = {
    [key: string]: () => any;
};
declare type RenderProp = {
    children: (props: I18nState) => React.ReactNode;
};
export declare const setI18nConfig: (messages: I18nMessages, fallback: string) => ((key: any, config?: any) => string) & import("lodash").MemoizedFunction;
export declare function useI18nProvider(messages: I18nMessages, fallback?: string): I18nState;
declare const Provider: React.Provider<I18nState>;
export { Provider as I18nProvider };
export declare function useI18n(): I18nState;
export declare function I18nConsumer({ children }: RenderProp): React.ReactNode;
